Subject: bug#38714: closed (Re: new snapshot available: grep-3.4-almost.31-fe6c)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Sep 2020 19:26:01 +0000

Your bug report

#38714: 'make dist' fails on grep master (Fedora 31)

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38714: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38714
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: new snapshot available: grep-3.4-almost.31-fe6c
From: Paul Eggert <[email-masked]>
To: Jim Meyering <[email-masked]>
Cc: [email-masked], GNU grep developers <[email-masked]>
Date: Mon, 21 Sep 2020 12:25:39 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 9/21/20 12:21 PM, Jim Meyering wrote:

> I ran into that problem in July or so and took the easy
> way out: I built the latest from git and installed that early in my
> shell's search path (on Fedora 32). Now make --version reports I'm
> using 4.3.90.

Ah, OK, good enough. I'm closing the bug report then, as it's OK to require the 
latest tools to run 'make dist'.

Subject: 'make dist' fails on grep master (Fedora 31)
From: Paul Eggert <[email-masked]>
To: GNU grep bug reports <[email-masked]>
Date: Sun, 22 Dec 2019 17:35:03 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I think it has something to do with Fedora 31 using GNU Make 4.2.1, which uses a
different output format when debugging. Log of failure is attached.